Extending Qt Creator Manual | ASTObjectValue

Extending Qt Creator Manual 4.5.2

# ASTObjectValue Class

(QmlJS::ASTObjectValue)

Inherits: | QmlJS::ObjectValue

- List of all members, including inherited members

## Public Functions

| ASTObjectValue(AST::UiQualifiedId *typeName, AST::UiObjectInitializer *initializer, const Document *doc, ValueOwner *valueOwner)
| ~ASTObjectValue()
QString | defaultPropertyName() const
const Document * | document() const
AST::UiObjectInitializer * | initializer() const
AST::UiQualifiedId * | typeName() const

## Reimplemented Public Functions

virtual const ASTObjectValue * | asAstObjectValue() const override
virtual bool | getSourceLocation(QString *fileName, int *line, int *column) const override
virtual void | processMembers(MemberProcessor *processor) const override

- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTObjectValue::ASTObjectValue(AST::UiQualifiedId *typeName, AST::UiObjectInitializer *initializer, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTObjectValue.

### ASTObjectValue::~ASTObjectValue()

Destroys the instance of ASTObjectValue.

### `[override virtual]` const ASTObjectValue *ASTObjectValue::asAstObjectValue() const

### QString ASTObjectValue::defaultPropertyName() const

### const Document *ASTObjectValue::document() const

### `[override virtual]` bool ASTObjectValue::getSourceLocation(QString *fileName, int *line, int *column) const

### AST::UiObjectInitializer *ASTObjectValue::initializer() const

### `[override virtual]` void ASTObjectValue::processMembers(MemberProcessor *processor) const

### AST::UiQualifiedId *ASTObjectValue::typeName() const